### Hierarchy

- DeferredPermissionRequest
  - PermissionRequest

## Index

### Properties

- id
- type
- uri

### Methods

- allow
- deny

## Properties

### id

id: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3929

### type

type: MSWebViewPermissionType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3930

### uri

uri: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3931

## Methods

### allow

- allow(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3932

  #### Returns void

### deny

- deny(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3933

  #### Returns void

Generated using TypeDoc